/**
 * Copyright (c) 2022 Yansen Zhang
 * wxcomponent is licensed under Mulan PSL v2.
 * You can use this software according to the terms and conditions of the Mulan PSL v2.
 * You may obtain a copy of Mulan PSL v2 at:
 *          http://license.coscl.org.cn/MulanPSL2
 * THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
 * EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
 * MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
 * See the Mulan PSL v2 for more details.
**/

package config

import (
	"time"
)

// AuthorizerConfig 公众号或小程序配置
type AuthorizerConfig interface {
	// GetToken 获取 Token
	GetAccessToken(appID string) string

	// GetRefreshToken 获取 RefreshToken
	GetRefreshToken(appID string) string

	// RefreshToken 刷新 Token
	RefreshToken(appID, token, refreshToken string, expire time.Time) error

	// RefreshFuncInfo 刷新权限集列表
	RefreshFuncInfo(appID string, lst []int)
}

var authorizer AuthorizerConfig
